# Requests - for Payments v1 or AIS

These endpoints allow you to initiate a Payments v1 request or an AIS request, and retrieve the status of the request.

## Initiate a token request

 - [POST /token-requests](https://docs.token.io/products/tpp/api/reference/requests-for-payments-v1-or-ais/gatewayservice.storetokenrequest.md): The POST /token-requests endpoint persists the required information used by AIS requests and PIS requests using the API and the Token.io Hosted Pages.

## Get a token request

 - [GET /token-requests/{requestId}](https://docs.token.io/products/tpp/api/reference/requests-for-payments-v1-or-ais/gatewayservice.retrievetokenrequest.md): The GET /token-requests/{requestId} endpoint retrieves a specific token request by its id.

## Get a token request result

 - [GET /token-requests/{tokenRequestId}/result](https://docs.token.io/products/tpp/api/reference/requests-for-payments-v1-or-ais/gatewayservice.gettokenrequestresultwithstatus.md): The GET /token-requests/{tokenRequestId}/result endpoint checks whether a token request result is available. This endpoint will return a PENDING status while the result is not available. The status will become PROCESSED once the result is available. If the request is rejected by the bank, the status will become REJECTED. The status will become EXPIRED if the request is not processed or rejected before the token request expiration.

## Initiate bank authorization

 - [POST /token-requests/{tokenRequestId}/authorization](https://docs.token.io/products/tpp/api/reference/requests-for-payments-v1-or-ais/gatewayservice.initiatebankauthorization.md): The POST /token-requests/{tokenRequestId}/authorization endpoint initiates the bank authorization process with a given bank id and token request id.

